require "defines"

local gui_ind = {}
local rqst = {{}}

script.on_init(
	function()
		game.create_force( "Blue Team")
		game.create_force( "Red Team")
	end
)

script.on_event(defines.events.on_player_created, function(event)
	local plyr = game.get_player(event.player_index)
	plyr.gui.top.add{type="button", name="faction"}
	plyr.gui.top.faction.caption="Force: " .. plyr.name
	game.create_force( plyr.name )
	plyr.force = game.forces[ plyr.name ]
	plyr.print( "You are currently homeless..." )
	gui_ind [ event.player_index ] = 1
end)

function closeui(event)
	local plyr = game.get_player(event.player_index)
	plyr.gui.center.teamselect.close.destroy()
	plyr.gui.center.teamselect.homeless.destroy()
	plyr.gui.center.teamselect.redteam.destroy()
	plyr.gui.center.teamselect.blueteam.destroy()
	plyr.gui.center.teamselect.destroy()
end

script.on_event(defines.events.on_gui_click, function(event)
	local plyr = game.get_player(event.player_index)
	if (event.element.name=="faction") then
		plyr.gui.center.add{type="frame", name="teamselect"}
		plyr.gui.center.teamselect.caption="Select a Team"
		plyr.gui.center.teamselect.add{type="button", name="blueteam"}
		plyr.gui.center.teamselect.blueteam.caption="Blue Team"
		plyr.gui.center.teamselect.add{type="button", name="redteam"}
		plyr.gui.center.teamselect.redteam.caption="Red Team"
		plyr.gui.center.teamselect.add{type="button", name="homeless"}
		plyr.gui.center.teamselect.homeless.caption="Homeless"
		plyr.gui.center.teamselect.add{type="button", name="close"}
		plyr.gui.center.teamselect.close.caption="Close"
	elseif (event.element.name=="blueteam") then
		plyr.force=game.forces[plyr.name]
		game.forces[plyr.name].reset()
		plyr.force=game.forces["Blue Team"]
		plyr.gui.top.faction.caption="Force: Blue Team"
		closeui(event)
	elseif (event.element.name=="redteam") then
		plyr.force=game.forces[plyr.name]
		game.forces[plyr.name].reset()
		plyr.force=game.forces["Red Team"]
		plyr.gui.top.faction.caption="Force: Red Team"
		closeui(event)
	elseif (event.element.name=="homeless") then
		plyr.force=game.forces[plyr.name]
		game.forces[plyr.name].reset()
		plyr.gui.top.faction.caption="Force: " .. plyr.name
		closeui(event)
	elseif (event.element.name=="close") then
		closeui(event)
	end
end)